×

Warning message

  • Cisco Support Forums is in Read Only mode while the site is being migrated.
  • Cisco Support Forums is in Read Only mode while the site is being migrated.

Upgrade questions about Prime Infrastructure 1.1.1.24 to 1.3

Unanswered Question
Jan 2nd, 2014
User Badges:

               My existing NCS is installed with the small deployment and I'll have a total of 94 AP's but we are installing a new data center and replacing the existing 2 WISM blades for 2 new 5508 WLCs and added 20 more AP'S which will total 114 AP's and 4 controllers. The old WISMs blades and new 5508s will be up together until we migrate exisitng AP's to the new 5508s, so do I need to install the medium deployment since Table for Scaling Prime Infrastructure states:


Medium: 500 Total. The mix of devices may included up to:

     Wired devices: 300

     Controllers: 5

     Autonomous AP's: 300

     Unified AP's: 300


Small Deployments are for a total of 250 devices "with up to" 100 Unified AP's and 2 controllers?? 


Also as part of the download of software for PI 1.3 it   includes Automated Deployment Gateway is this a required piece to install for PI??  We don't use Cisco works so I'm not installing the LMS piece. 


thank you,

Sandra

  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
Loading.
Rob Johnson Thu, 01/02/2014 - 16:31
User Badges:
  • Cisco Employee,

Sandra,

If you have 1.1.1.24 installed, what patch do you have applied?

Please run a show application to see patches installed---

Rob Johnson Thu, 01/02/2014 - 23:51
User Badges:
  • Cisco Employee,

Sandra,

Regarding your question:::


Also as part of the download of software for PI 1.3 it   includes Automated Deployment Gateway is this a required piece to install for PI??  We don't use Cisco works so I'm not installing the LMS piece.


The Automated Deployment Gateway or Plug and Play Gateway is not a required piece for PI...


Also, I'm not clear if you will be upgrading your existing system or spinning up a new one....

sstephens1 Mon, 01/06/2014 - 08:50
User Badges:

I have not installed any patches.


CiscoNCS/admin#

CiscoNCS/admin# show application

         

NCS             Cisco Prime Network Control System


I'm trying to determine if I can simply do an upgrade for small deployment to 1.3 or if I need to spin up a new vm for medium deployment.  My exiting install is a small deployment.


thanks,

Sandra

Rob Johnson Mon, 01/06/2014 - 09:22
User Badges:
  • Cisco Employee,

You could take either route


1) Upgrade the existing

2) Take a backup of the old then restore it into the new

sstephens1 Mon, 01/06/2014 - 12:53
User Badges:

so the small deployment can handle 4 contollers?  That is all I want to confirm. 


thanks,


sandra

Rob Johnson Tue, 01/07/2014 - 05:33
User Badges:
  • Cisco Employee,

The specs say 2 WLCs for small and 5 for Medium but I don't always agree w/ the specs guidelines.

For example, the Professional version for PI 2.0 calls for 1.2 Terabytes....


As for your situation, things will run just fine w/ a small OVA as for resources.  You very well may have to eventually bump up from 200GB to 300GB but that is a super easy thing to do.

sstephens1 Tue, 01/07/2014 - 08:14
User Badges:

Great.  I'll double check the hard drive size on the VM but I don't hve access to the patches or the upgrade software to 1.3.xxxx.


We purchase 1.3 software but in the edelivery I can only have access to the full ova files. 


Is there any way to get these software downloads?


thanks,

Sandra

Rob Johnson Tue, 01/07/2014 - 09:19
User Badges:
  • Cisco Employee,

So your plan is to upgrade your existing system and not to spin-up a new box then restore a backup from the existing?

sstephens1 Tue, 01/07/2014 - 10:17
User Badges:

Yes, I would prefering to simply upgrade to 1.3 since the Licensing is such a pain.  I know cisco Recommends spinning up a new box.  I guess if it went terrible wrong I would request a new VM and do a clean install. If you can't get me the software download, we are a waiting to hear back from our Cisco rep about getting some support. 


thanks,

Sandra

Rob Johnson Tue, 01/07/2014 - 10:22
User Badges:
  • Cisco Employee,

Sandra,

I will publish the NCS patch as well as the upgrade bundle to your CCO ID---

What is your CCO ID?

sstephens1 Tue, 01/07/2014 - 10:43
User Badges:

sstephens1 is my cco ID. 


Hey thanks so much for all your help!!

Rob Johnson Tue, 01/07/2014 - 11:47
User Badges:
  • Cisco Employee,

The patch file and upgrade bundle were just published so you'll be receiving an email any minute if you haven't already

Here are the steps to do the upgrade:::


1) take VM snapshot


2) install patch

-ncs stop

patch install ncs_1_1_1_24-Update.13.4.tar.gz


3) take backup of NCS

-taking from gui is preferable as it's easier


4) restore backup from console (it's very important to run from the VM console)

-ncs stop

restore backup-filename repository application NCS


5) run application upgrade

-application upgrade

application upgrade PI-upgrade-bundle-1.3.0.20.tar.gz

Rob Johnson Tue, 01/07/2014 - 15:57
User Badges:
  • Cisco Employee,

Sandra.

I can't stress how important it is that once you've installed the patch for NCS 1.1.1.24 that you take a backup then do a restore.


It's also very important you run the restore from the console and not an SSH session so the session doesn't time out.




If you don't then chances are VERY high the NCS services won't start once you've ran the application upgrade command...


just saying:::

sstephens1 Tue, 01/07/2014 - 16:00
User Badges:

Will do Rob.  I'll follow your instructions. 

I've downloaded the software patch and upgrade software already.  I plan on attempting this upgrade  this week.


thanks again for all your help!

Sandra

sstephens1 Thu, 01/09/2014 - 08:58
User Badges:

Hi rob,


It appears the upgrade worked or atleast I can logon to the Prime 1.3 web gui.


I wanted to test changing some setting on 2 Ap's via the Sechedule config Tasks->Lightweight AP Templates.  I wanted to update the Primary and Seconday controller (Wism 7.235.xx.)   I got this error message when I tried to Save it or Apply it:

thanks for any Help.

Rob Johnson Thu, 01/09/2014 - 09:51
User Badges:
  • Cisco Employee,

K, So you have 1.3.0.20 installed.

Do apply the latest patch?


Please login to the CLI and run a show version and a show application

sstephens1 Thu, 01/09/2014 - 10:04
User Badges:

Here you go??  I wonder if I can download patches..I'll check unless you email me a link:


CiscoNCS/admin# show version

Cisco Application Deployment Engine OS Release: 2.0
ADE-OS Build Version: 2.0.1.038
ADE-OS System Architecture: x86_64

Copyright (c) 2005-2010 by Cisco Systems, Inc.
All rights reserved.
Hostname: CiscoNCS


Version information of installed applications
---------------------------------------------

Cisco Prime Network Control System
------------------------------------------
Version : 1.3.0.20
CiscoNCS/admin#

sstephens1 Thu, 01/09/2014 - 10:08
User Badges:

of course I found the patch but can not download it. 

Can you publish it to me??


thanks again for help..OUr Cisco reps have yet to respond to us for support for PI 1.3.


Sandra

sstephens1 Thu, 01/09/2014 - 10:41
User Badges:

so sorry I thought I got i all, here you go!


Last login: Thu Jan  9 10:00:53 2014 from ist7c7vkx1.co.marin.ca.us

CiscoNCS/admin# show application

         

NCS             Cisco Prime Network Control System

CiscoNCS/admin#


thanks,

Sandra

Rob Johnson Thu, 01/09/2014 - 10:42
User Badges:
  • Cisco Employee,

yup,

it's not patched...

you should be good to go once you've got it on...

Rob Johnson Thu, 01/09/2014 - 10:41
User Badges:
  • Cisco Employee,

Update patch 4-16 is on it's way...


PI_1_3_0_20-Update.4-16.tar.gz

sstephens1 Thu, 01/09/2014 - 10:44
User Badges:

Can the patch be installed via ssh or do I need to console in?


thanks

Sandra

sstephens1 Thu, 01/09/2014 - 12:06
User Badges:

I downloaded the patched on 2 different pc and when I tftp it to the PI server is fails.  the size shows a difference under properties: 14,963,397 for size and size on PC i 14,966,784. 

sstephens1 Thu, 01/09/2014 - 14:36
User Badges:

Hi rob,


I hope you went home but I thought, I should try to use IE instead of Firefox to use Prime  and guess what it worked!! I was using firefox version 26 which I guess is why it failed when we tested out making changes to the AP's. 


So I won't fall back to NCS version I was on. 


thanks again for all your help!


Sandra

Rob Johnson Thu, 01/09/2014 - 15:13
User Badges:
  • Cisco Employee,

Isn't it rediculous the message says:::


Error(s): You must correct the following error(s) before proceeding:

Error:Unknown Exception Occurred. If the problem persists send logs to Tech Support.


And the fix is to use a different browser?


BTW:: Good Idea to try a different browser.  By the looks of the Error Msg, it just didn't look like a browser issue to me so I didn't think to do that but certainly will next time on this and probably many, many, many other issues I see-


We only spent about an hour chasing our tails around to see what the issue was.


Again good catch!


I was speaking w/ another customer today who mentioned if the application were re-written to use HTML 5 these type problems would go away.

Oh well.


Glad I could help you get all the way upgraded and all the way up and running and able to push templates to your lightweight APs.

Cya

Actions

This Discussion

 

 

Trending Topics - Security & Network